---
title: Create new applications
canonical: https://openvpn.net/cloud-docs/developer/cloudconnexa-beta-api-v0-16-0/application/create-new-applications/
product: CloudConnexa Docs
---

# Create new applications

`POST /api/beta/applications/bulk`

## Body parameter

```json
[
  {
    "config": {
      "customServiceTypes": [
        {
          "icmpType": [
            {
              "lowerValue": 0,
              "upperValue": 0,
              "value": 0
            }
          ],
          "port": [
            {
              "lowerValue": 0,
              "upperValue": 0,
              "value": 0
            }
          ],
          "protocol": "ICMP"
        }
      ],
      "serviceTypes": [
        "ANY"
      ]
    },
    "description": "string",
    "name": "string",
    "routes": [
      {
        "allowEmbeddedIp": true,
        "description": "string",
        "value": "string"
      }
    ]
  }
]
```

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| networkItemId | query | string | true | networkItemId |
| networkItemType | query | string | true | networkItemType |

## Responses

| Status | Meaning | Description | Schema |
| --- | --- | --- | --- |
| 200 | [OK](https://tools.ietf.org/html/rfc7231#section-6.3.1) | OK | Inline |
| 201 | [Created](https://tools.ietf.org/html/rfc7231#section-6.3.2) | Entity created | None |
| 400 | [Bad Request](https://tools.ietf.org/html/rfc7231#section-6.5.1) | Bad Request | None |
| 401 | [Unauthorized](https://tools.ietf.org/html/rfc7235#section-3.1) | Unauthorized | None |
| 403 | [Forbidden](https://tools.ietf.org/html/rfc7231#section-6.5.3) | Access Forbidden | None |
| 404 | [Not Found](https://tools.ietf.org/html/rfc7231#section-6.5.4) | Not Found | None |
| 406 | [Not Acceptable](https://tools.ietf.org/html/rfc7231#section-6.5.6) | Not Acceptable | None |
| 429 | [Too Many Requests](https://tools.ietf.org/html/rfc6585#section-4) | Too Many Requests | None |
| 500 | [Internal Server Error](https://tools.ietf.org/html/rfc7231#section-6.6.1) | Internal Server Error | None |

```json
[
  {
    "config": {
      "customServiceTypes": [
        {
          "icmpType": [
            {
              "lowerValue": 0,
              "upperValue": 0,
              "value": 0
            }
          ],
          "port": [
            {
              "lowerValue": 0,
              "upperValue": 0,
              "value": 0
            }
          ],
          "protocol": "ICMP"
        }
      ],
      "serviceTypes": [
        "ANY"
      ]
    },
    "description": "string",
    "id": "string",
    "name": "string",
    "networkItemId": "string",
    "networkItemType": "HOST",
    "routes": [
      {
        "allowEmbeddedIp": true,
        "description": "string",
        "domain": "string",
        "id": "string",
        "type": "DOMAIN"
      }
    ]
  }
]
```

---

Prev: [Delete an existing application](https://openvpn.net/cloud-docs/developer/cloudconnexa-beta-api-v0-16-0/application/delete-an-existing-application.md)
Next: [Create a new application](https://openvpn.net/cloud-docs/developer/cloudconnexa-beta-api-v0-16-0/application/create-a-new-application.md)
Index: https://openvpn.net/cloud-docs/llms.txt
